Skip to main content
GET
/
v1
/
entitlements
/
{entitlementId}
/
grants
/
{grantId}
Get Grant
curl --request GET \
  --url https://api.paygentic.io/v1/entitlements/{entitlementId}/grants/{grantId} \
  --header 'Authorization: Bearer <token>'
{
  "object": "grant",
  "id": "<string>",
  "entitlementId": "<string>",
  "amount": 123,
  "effectiveAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "recurrencePeriod": "<string>",
  "idempotencyKey": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "voidedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paygentic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

entitlementId
string
required

The unique identifier of the entitlement

Pattern: ^ent_[a-zA-Z0-9]+$
grantId
string
required

The unique identifier of the grant

Response

Successfully retrieved the grant.

object
enum<string>
default:grant
required
Available options:
grant
id
string
required

Unique identifier for the grant.

Pattern: ^grt_[a-zA-Z0-9]+$
entitlementId
string
required

The entitlement this grant belongs to.

Pattern: ^ent_[a-zA-Z0-9]+$
amount
number
required

The number of credits granted.

effectiveAt
string<date-time>
required

When the grant becomes effective.

createdAt
string<date-time>
required

When the grant was created.

recurrencePeriod
string | null
required

The recurrence interval (ISO 8601 duration) if this is a recurring grant. Null for one-time grants.

idempotencyKey
string | null
required

The idempotency key used when creating this grant. Null if not provided.

expiresAt
string<date-time> | null

When the grant expires. Null means no expiration.

voidedAt
string<date-time> | null

When the grant was voided. Null means the grant is active.